%define beta_version 4
Name:           vbindiff
Version:        3.0 
Release:        0.20.beta%{beta_version}%{?dist}
Summary:        Visual binary diff

Group:          Applications/Editors
License:        GPLv2+
URL:            http://www.cjmweb.net/%{name}/
Source0:        http://www.cjmweb.net/%{name}/%{name}-%{version}_beta%{beta_version}.tar.gz
# 2013-10-25: Submitted upstream: https://github.com/madsen/vbindiff/pull/3
Patch1:         crash-patch.diff

BuildRequires:  gcc-c++
BuildRequires:  ncurses-devel

%description
VBinDiff (Visual Binary Diff) displays files in hexadecimal
and ASCII (or EBCDIC). It can also display two files at once,
and highlight the differences between them.
Unlike diff, it works well with large files (up to 4 GB).

VBinDiff was inspired by the Compare Files function 
of the ProSel utilities by Glen Bredon, for the Apple II.

The single-file mode was inspired by the LIST utility 
of 4DOS and friends. While less provides a good line-oriented display,
it has no equivalent to LIST's hex display.

%prep
%setup -q -n %{name}-%{version}_beta%{beta_version}
%patch1 -p1 -b .crash_patch


%build
%configure INSTALL="install -p"
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT



%files
%doc AUTHORS NEWS README README.PuTTY putty.src
%license COPYING
%{_bindir}/%{name}
%{_datadir}/man/man?/%{name}*


%changelog
* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.0-0.20.beta4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.0-0.19.beta4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.0-0.18.beta4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.0-0.17.beta4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.0-0.16.beta4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 3.0-0.15.beta4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0-0.14.beta4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 30 2015 Till Maas <opensource@till.name> - 3.0-0.13.beta4
- Fix crash when comparing files (#1093968)
- Use %%license

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 3.0-0.12.beta4
- Rebuilt for GCC 5 C++11 ABI change

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0-0.11.beta4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0-0.10.beta4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0-0.9.beta4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0-0.8.beta4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0-0.7.beta4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0-0.6.beta4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0-0.5.beta4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0-0.4.beta4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0-0.3.beta4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Dec 10 2008 Nicoleau Fabien <nicoleau.fabien@gmail.com> - 3.0-0.2.beta4
- Release tag fixed
- Install command fixed
* Sun Jul 27 2008 Nicoleau Fabien <nicoleau.fabien@gmail.com> - 3.0-0.1.beta4
- rebuild for version 3.0 beta 4
* Tue Jul  8 2008 Nicoleau Fabien <nicoleau.fabien@gmail.com> - 3.0-0.1.beta3
- Initial build
